package com.unis.sxzcl.util;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;

import com.unis.sxzcl.widget.dialog.SystemDialog;
import com.xyxsbj.mylibrary.tool.StringTool;
import com.xyxsbj.mylibrary.tool.ToastTool;


/**
 * 包名: com.bskapp.bskapp.util
 * 类名: CallUtils
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/7/25 20:35
 * 更新人:
 * 更新时间: 2020/7/25 20:35
 * 更新说明:
 * 版本号: 1.0
 */
public class CallUtils {

    /**
     * 拨打号码
     *
     * @param context
     */
    public static void callPhone(final Context context, final String phone) {
        if (StringTool.isEmpty(phone)) {
            ToastTool.showLong("没有联系方式");
            return;
        }
        new SystemDialog(context)
                .setHideTitle()
                .setMsg("是否要拨打：" + phone)
                .setRightButton("拨打", dialog -> {
                    Intent intent = new Intent(Intent.ACTION_DIAL, Uri.parse("tel:" + phone));
                    intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    context.startActivity(intent);
                }).setLeftButton("取消", null)
                .show();
    }


}
